

#  Read in the configuration file
#  And a list of subscribed news groups
proc loadConfig {} {
	global news sgroups newsread

	set fmt 0
	if { ![file exists $news(personal)/tclnews.rc] } {
		set news(sort) Subject
		set news(con_on_start) 0
		set news(newgrps) 1
		tclnews_setup 1
	} else {

		catch { source $news(personal)/tclnews.rc } msg

		set fd [open $news(signature) r]
		set news(sig) ""
		while { [gets $fd line] > 0 } {
			if { $news(sig) == "" } {
				set news(sig) "$line"
			} else {
				set news(sig) "$news(sig)\n$line"
			}
		}
		close $fd
	}

	if { $news(serv) == "" } { 
		tclnews_setup 1 
	}
	set news(.news,message) "Reading availible news groups"
	set news(showall) 0
	$news(glst) delete 0 end
	.news.x delete 0 end
	.news.seq delete 0 end
if { ![file exists $news(newsrc)] } {
	getallgroups
} else {

	readrc $news(newsrc)
}
	set news(.news,stop) 0
	set news(.news,message) ""
}

