
# Create a form line ,an entry with a lable in a frame
# The frame is NOT packed
proc formline { w l v ok} {
	global news

	frame $w
	label $w.l -text $l
	pack $w.l -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side left
	entry $w.e -textvariable $v
	bind $w.e <Return> "$ok invoke"
	pack $w.e -expand 1 -fill x -side left
	return $w
}

#  Create a form with on entry and label for each arg
proc formwindow { ts geo title args } {
	global news

	set w ".$ts" 
	window $w $geo $title text OK Cancel Spell
	$w.ok configure -command "puts 0"
	$w.cancel configure -command "puts 1"

	if { $news(ispell) != "" } {
		$w.spell configure -command "tkispell_text $w.main"
	} else {
		pack forget $w.spell
	}

	set uf $w.uf

	set count 0
	foreach l $args {
		incr count
		set wf [formline $uf.f$count $l news($w,$count) $w.ok]
		pack $wf -expand 0 -fill x -ipadx 0 -ipady 0 -padx 0 -pady 0 -side top
	}
	return $w
}

